Index: LMDZ5/branches/testing/libf/filtrez/mod_filtre_fft_loc.F90
===================================================================
--- LMDZ5/branches/testing/libf/filtrez/mod_filtre_fft_loc.F90	(revision 1707)
+++ LMDZ5/branches/testing/libf/filtrez/mod_filtre_fft_loc.F90	(revision 1707)
@@ -0,0 +1,343 @@
+MODULE mod_filtre_fft_loc
+
+  LOGICAL,SAVE :: use_filtre_fft
+  REAL,SAVE,ALLOCATABLE :: Filtre_u(:,:)
+  REAL,SAVE,ALLOCATABLE :: Filtre_v(:,:)
+  REAL,SAVE,ALLOCATABLE :: Filtre_inv(:,:)
+
+CONTAINS
+  
+  SUBROUTINE Init_filtre_fft(coeffu,modfrstu,jfiltnu,jfiltsu,coeffv,modfrstv,jfiltnv,jfiltsv)
+    USE mod_fft
+    IMPLICIT NONE
+    include 'dimensions.h'
+    REAL,   INTENT(IN) :: coeffu(iim,jjm)
+    INTEGER,INTENT(IN) :: modfrstu(jjm)
+    INTEGER,INTENT(IN) :: jfiltnu
+    INTEGER,INTENT(IN) :: jfiltsu
+    REAL,   INTENT(IN) :: coeffv(iim,jjm)
+    INTEGER,INTENT(IN) :: modfrstv(jjm)
+    INTEGER,INTENT(IN) :: jfiltnv
+    INTEGER,INTENT(IN) :: jfiltsv
+    
+    INTEGER            :: index_vp(iim)
+    INTEGER            :: i,j
+    
+    index_vp(1)=1
+    DO i=1,iim/2
+      index_vp(i+1)=i*2
+    ENDDO
+    
+    DO i=1,iim/2-1
+      index_vp(iim/2+i+1)=iim-2*i+1
+    ENDDO
+    
+    ALLOCATE(Filtre_u(iim,jjm))
+    ALLOCATE(Filtre_v(iim,jjm))
+    ALLOCATE(Filtre_inv(iim,jjm))
+  
+    
+    DO j=2,jfiltnu
+      DO i=1,iim
+        IF (index_vp(i) < modfrstu(j)) THEN
+          Filtre_u(i,j)=0
+        ELSE
+          Filtre_u(i,j)=coeffu(index_vp(i),j)
+        ENDIF
+      ENDDO
+    ENDDO
+    
+    DO j=jfiltsu,jjm
+      DO i=1,iim
+        IF (index_vp(i) < modfrstu(j)) THEN
+          Filtre_u(i,j)=0
+        ELSE
+          Filtre_u(i,j)=coeffu(index_vp(i),j)
+        ENDIF
+      ENDDO
+    ENDDO
+ 
+    DO j=1,jfiltnv
+      DO i=1,iim
+        IF (index_vp(i) < modfrstv(j)) THEN
+          Filtre_v(i,j)=0
+        ELSE
+          Filtre_v(i,j)=coeffv(index_vp(i),j)
+        ENDIF
+      ENDDO
+    ENDDO
+   
+    DO j=jfiltsv,jjm
+      DO i=1,iim
+        IF (index_vp(i) < modfrstv(j)) THEN
+          Filtre_v(i,j)=0
+        ELSE
+          Filtre_v(i,j)=coeffv(index_vp(i),j)
+        ENDIF
+      ENDDO
+    ENDDO
+         
+    DO j=2,jfiltnu
+      DO i=1,iim
+        IF (index_vp(i) < modfrstu(j)) THEN
+          Filtre_inv(i,j)=0
+        ELSE
+          Filtre_inv(i,j)=coeffu(index_vp(i),j)/(1.+coeffu(index_vp(i),j))
+        ENDIF
+      ENDDO
+    ENDDO
+
+    DO j=jfiltsu,jjm
+      DO i=1,iim
+        IF (index_vp(i) < modfrstu(j)) THEN
+          Filtre_inv(i,j)=0
+        ELSE
+          Filtre_inv(i,j)=coeffu(index_vp(i),j)/(1.+coeffu(index_vp(i),j))
+        ENDIF
+      ENDDO
+    ENDDO
+    
+    
+!    CALL Init_FFT(iim,(jjm+1)*(llm+1))
+        
+    
+  END SUBROUTINE Init_filtre_fft
+  
+  SUBROUTINE Filtre_u_fft(vect_inout,jjb,jje,jj_begin,jj_end,nbniv)
+    USE mod_fft
+#ifdef CPP_PARA
+    USE parallel,ONLY : OMP_CHUNK
+#endif
+    IMPLICIT NONE
+    include 'dimensions.h'
+    INTEGER,INTENT(IN) :: jjb
+    INTEGER,INTENT(IN) :: jje
+    INTEGER,INTENT(IN) :: jj_begin
+    INTEGER,INTENT(IN) :: jj_end
+    INTEGER,INTENT(IN) :: nbniv
+    REAL,INTENT(INOUT) :: vect_inout(iim+1,jjb:jje,nbniv)
+
+    REAL               :: vect(iim+inc,jj_end-jj_begin+1,nbniv)
+    COMPLEX            :: TF_vect(iim/2+1,jj_end-jj_begin+1,nbniv)
+    INTEGER            :: nb_vect
+    INTEGER :: i,j,l
+    INTEGER :: ll_nb
+!    REAL               :: vect_tmp(iim+inc,jj_end-jj_begin+1,nbniv)
+    
+    ll_nb=0
+!$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+    DO l=1,nbniv
+      ll_nb=ll_nb+1
+      DO j=1,jj_end-jj_begin+1
+        DO i=1,iim+1
+          vect(i,j,ll_nb)=vect_inout(i,j+jj_begin-1,l)
+        ENDDO
+      ENDDO
+    ENDDO
+!$OMP END DO NOWAIT
+
+    nb_vect=(jj_end-jj_begin+1)*ll_nb
+
+!    vect_tmp=vect
+
+    CALL FFT_forward(vect,TF_vect,nb_vect)
+
+!    CALL FFT_forward(vect,TF_vect_test,nb_vect)
+!      PRINT *,"XXXXXXXXXXXXX Filtre_u_FFT xxxxxxxxxxxx"
+!      DO j=1,jj_end-jj_begin+1
+!      DO i=1,iim/2+1
+!         PRINT *,"====",i,j,"----->",TF_vect_test(i,j,1)
+!       ENDDO
+!      ENDDO
+
+    DO l=1,ll_nb
+      DO j=1,jj_end-jj_begin+1
+        DO i=1,iim/2+1
+          TF_vect(i,j,l)=TF_vect(i,j,l)*Filtre_u(i,jj_begin+j-1)
+        ENDDO
+      ENDDO
+    ENDDO
+       
+    CALL FFT_backward(TF_vect,vect,nb_vect)
+!    CALL FFT_backward(TF_vect_test,vect_test,nb_vect)
+          
+!      PRINT *,"XXXXXXXXXXXXX Filtre_u_FFT xxxxxxxxxxxx"
+!      DO j=1,jj_end-jj_begin+1
+!         DO i=1,iim
+!           PRINT *,"====",i,j,"----->",vect_test(i,j,1)
+!         ENDDO
+!      ENDDO
+
+    ll_nb=0
+!$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+    DO l=1,nbniv
+      ll_nb=ll_nb+1
+      DO j=1,jj_end-jj_begin+1
+        DO i=1,iim+1
+          vect_inout(i,j+jj_begin-1,l)=vect(i,j,ll_nb)
+        ENDDO
+      ENDDO
+    ENDDO
+!$OMP END DO NOWAIT
+
+  END SUBROUTINE Filtre_u_fft
+  
+
+  SUBROUTINE Filtre_v_fft(vect_inout,jjb,jje,jj_begin,jj_end,nbniv)
+    USE mod_fft
+#ifdef CPP_PARA
+    USE parallel,ONLY : OMP_CHUNK
+#endif
+    IMPLICIT NONE
+    INCLUDE 'dimensions.h'
+    INTEGER,INTENT(IN) :: jjb
+    INTEGER,INTENT(IN) :: jje
+    INTEGER,INTENT(IN) :: jj_begin
+    INTEGER,INTENT(IN) :: jj_end
+    INTEGER,INTENT(IN) :: nbniv
+    REAL,INTENT(INOUT) :: vect_inout(iim+1,jjb:jje,nbniv)
+
+    REAL               :: vect(iim+inc,jj_end-jj_begin+1,nbniv)
+    COMPLEX            :: TF_vect(iim/2+1,jj_end-jj_begin+1,nbniv)
+    INTEGER            :: nb_vect
+    INTEGER :: i,j,l
+    INTEGER :: ll_nb
+    
+    ll_nb=0
+!$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+    DO l=1,nbniv
+      ll_nb=ll_nb+1
+      DO j=1,jj_end-jj_begin+1
+        DO i=1,iim+1
+          vect(i,j,ll_nb)=vect_inout(i,j+jj_begin-1,l)
+        ENDDO
+      ENDDO
+    ENDDO
+!$OMP END DO NOWAIT
+
+    
+    nb_vect=(jj_end-jj_begin+1)*ll_nb
+
+    CALL FFT_forward(vect,TF_vect,nb_vect)
+  
+    DO l=1,ll_nb
+      DO j=1,jj_end-jj_begin+1
+        DO i=1,iim/2+1
+          TF_vect(i,j,l)=TF_vect(i,j,l)*Filtre_v(i,jj_begin+j-1)
+        ENDDO
+      ENDDO
+    ENDDO
+  
+    CALL FFT_backward(TF_vect,vect,nb_vect)
+    
+    
+    ll_nb=0
+!$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+    DO l=1,nbniv
+      ll_nb=ll_nb+1
+      DO j=1,jj_end-jj_begin+1
+        DO i=1,iim+1
+          vect_inout(i,j+jj_begin-1,l)=vect(i,j,ll_nb)
+        ENDDO
+      ENDDO
+    ENDDO
+!$OMP END DO NOWAIT
+  
+  END SUBROUTINE Filtre_v_fft
+
+
+  SUBROUTINE Filtre_inv_fft(vect_inout,jjb,jje,jj_begin,jj_end,nbniv)
+    USE mod_fft
+#ifdef CPP_PARA
+    USE parallel,ONLY : OMP_CHUNK
+#endif
+    IMPLICIT NONE
+    INCLUDE 'dimensions.h'
+    INTEGER,INTENT(IN) :: jjb
+    INTEGER,INTENT(IN) :: jje
+    INTEGER,INTENT(IN) :: jj_begin
+    INTEGER,INTENT(IN) :: jj_end
+    INTEGER,INTENT(IN) :: nbniv
+    REAL,INTENT(INOUT) :: vect_inout(iim+1,jjb:jje,nbniv)
+
+    REAL               :: vect(iim+inc,jj_end-jj_begin+1,nbniv)
+    COMPLEX            :: TF_vect(iim/2+1,jj_end-jj_begin+1,nbniv)
+    INTEGER            :: nb_vect
+    INTEGER :: i,j,l
+    INTEGER :: ll_nb
+    
+    ll_nb=0
+!$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+    DO l=1,nbniv
+      ll_nb=ll_nb+1
+      DO j=1,jj_end-jj_begin+1
+        DO i=1,iim+1
+          vect(i,j,ll_nb)=vect_inout(i,j+jj_begin-1,l)
+        ENDDO
+      ENDDO
+    ENDDO
+!$OMP END DO NOWAIT
+
+    nb_vect=(jj_end-jj_begin+1)*ll_nb
+
+    CALL FFT_forward(vect,TF_vect,nb_vect)
+  
+    DO l=1,ll_nb
+      DO j=1,jj_end-jj_begin+1
+        DO i=1,iim/2+1
+          TF_vect(i,j,l)=TF_vect(i,j,l)*Filtre_inv(i,jj_begin+j-1)
+        ENDDO
+      ENDDO
+    ENDDO
+  
+    CALL FFT_backward(TF_vect,vect,nb_vect)
+
+    ll_nb=0
+!$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+    DO l=1,nbniv
+      ll_nb=ll_nb+1
+      DO j=1,jj_end-jj_begin+1
+        DO i=1,iim+1
+          vect_inout(i,j+jj_begin-1,l)=vect(i,j,ll_nb)
+        ENDDO
+      ENDDO
+    ENDDO
+!$OMP END DO NOWAIT
+
+  END SUBROUTINE Filtre_inv_fft  
+  
+  
+!  SUBROUTINE get_ll_index(nbniv,ll_index,ll_nb)
+!  IMPLICIT NONE
+!    INTEGER,INTENT(IN)  :: nbniv
+!    INTEGER,INTENT(OUT) :: ll_index(nbniv)
+!    INTEGER,INTENT(OUT) :: ll_nb
+!
+!    INTEGER :: l,ll_begin, ll_end
+!   INTEGER :: omp_rank,omp_size
+!   INTEGER :: OMP_GET_NUM_THREADS
+!   INTEGER :: omp_chunk
+!   EXTERNAL OMP_GET_NUM_THREADS
+!   INTEGER :: OMP_GET_THREAD_NUM
+!   EXTERNAL OMP_GET_THREAD_NUM
+!
+!   
+!   omp_size=OMP_GET_NUM_THREADS()
+!   omp_rank=OMP_GET_THREAD_NUM()    
+!   omp_chunk=nbniv/omp_size+min(1,MOD(nbniv,omp_size))
+!   
+!   ll_begin=omp_rank*OMP_CHUNK+1
+!   ll_nb=0
+!   DO WHILE (ll_begin<=nbniv)
+!     ll_end=min(ll_begin+OMP_CHUNK-1,nbniv)
+!     DO l=ll_begin,ll_end
+!       ll_nb=ll_nb+1
+!       ll_index(ll_nb)=l
+!     ENDDO
+!     ll_begin=ll_begin+omp_size*OMP_CHUNK
+!   ENDDO
+!  
+!  END SUBROUTINE get_ll_index
+   
+END MODULE mod_filtre_fft_loc
+ 
Index: LMDZ5/branches/testing/libf/phy1d/1DUTILS.h_no_writelim
===================================================================
--- LMDZ5/branches/testing/libf/phy1d/1DUTILS.h_no_writelim	(revision 1669)
+++ LMDZ5/branches/testing/libf/phy1d/1DUTILS.h_no_writelim	(revision 1707)
@@ -52,5 +52,5 @@
 !Config         (defaut sortie standard = 6)
       lunout=6
-      CALL getin('lunout', lunout)
+!      CALL getin('lunout', lunout)
       IF (lunout /= 5 .and. lunout /= 6) THEN
         OPEN(lunout,FILE='lmdz.out')
Index: LMDZ5/branches/testing/libf/phy1d/1DUTILS.h_with_writelim
===================================================================
--- LMDZ5/branches/testing/libf/phy1d/1DUTILS.h_with_writelim	(revision 1669)
+++ LMDZ5/branches/testing/libf/phy1d/1DUTILS.h_with_writelim	(revision 1707)
@@ -52,5 +52,5 @@
 !Config         (defaut sortie standard = 6)
       lunout=6
-      CALL getin('lunout', lunout)
+!      CALL getin('lunout', lunout)
       IF (lunout /= 5 .and. lunout /= 6) THEN
         OPEN(lunout,FILE='lmdz.out')
Index: LMDZ5/branches/testing/libf/phy1d/1DUTILS.h_with_writelim_old
===================================================================
--- LMDZ5/branches/testing/libf/phy1d/1DUTILS.h_with_writelim_old	(revision 1669)
+++ LMDZ5/branches/testing/libf/phy1d/1DUTILS.h_with_writelim_old	(revision 1707)
@@ -52,5 +52,5 @@
 !Config         (defaut sortie standard = 6)
       lunout=6
-      CALL getin('lunout', lunout)
+!      CALL getin('lunout', lunout)
       IF (lunout /= 5 .and. lunout /= 6) THEN
         OPEN(lunout,FILE='lmdz.out')
Index: LMDZ5/branches/testing/libf/phy1d/lmdz1d.F
===================================================================
--- LMDZ5/branches/testing/libf/phy1d/lmdz1d.F	(revision 1669)
+++ LMDZ5/branches/testing/libf/phy1d/lmdz1d.F	(revision 1707)
@@ -711,5 +711,5 @@
 !---------------------------------------------------------------------
 
-      fcoriolis=2.*sin(rpi*rlat(1)/180.)*romega
+      fcoriolis=2.*sin(rpi*xlat/180.)*romega
 
        if (forcing_radconv) then
Index: LMDZ5/branches/testing/libf/phydev/comcstphy.F90
===================================================================
--- LMDZ5/branches/testing/libf/phydev/comcstphy.F90	(revision 1707)
+++ LMDZ5/branches/testing/libf/phydev/comcstphy.F90	(revision 1707)
@@ -0,0 +1,8 @@
+module comcstphy
+  
+  real :: rradius ! planet radius (m)
+  real :: rr      ! recuced gas constant: R/molar mass of atm
+  real :: rg      ! gravity
+  real :: rcpp    ! specific heat of the atmosphere
+
+end module comcstphy
Index: LMDZ5/branches/testing/libf/phydev/gr_fi_ecrit.F
===================================================================
--- LMDZ5/branches/testing/libf/phydev/gr_fi_ecrit.F	(revision 1707)
+++ LMDZ5/branches/testing/libf/phydev/gr_fi_ecrit.F	(revision 1707)
@@ -0,0 +1,27 @@
+!
+! $Id $
+!
+      SUBROUTINE gr_fi_ecrit(nfield,nlon,iim,jjmp1,fi,ecrit)
+      IMPLICIT NONE
+c
+c Transfer a field from the full physics grid
+c to a full 2D (lonxlat) grid suitable for outputs
+c
+      INTEGER,INTENT(IN) :: nfield,nlon,iim,jjmp1
+      REAL,INTENT(IN) :: fi(nlon,nfield)
+      REAL,INTENT(out) :: ecrit(iim*jjmp1,nfield)
+c
+      INTEGER :: i, n, ig, jjm
+c
+      jjm = jjmp1 - 1
+      DO n = 1, nfield
+         DO i=1,iim
+            ecrit(i,n) = fi(1,n)
+            ecrit(i+jjm*iim,n) = fi(nlon,n)
+         ENDDO
+         DO ig = 1, nlon - 2
+           ecrit(iim+ig,n) = fi(1+ig,n)
+         ENDDO
+      ENDDO
+
+      END
Index: LMDZ5/branches/testing/libf/phydev/iniphysiq.F
===================================================================
--- LMDZ5/branches/testing/libf/phydev/iniphysiq.F	(revision 1669)
+++ LMDZ5/branches/testing/libf/phydev/iniphysiq.F	(revision 1707)
@@ -2,15 +2,15 @@
 ! $Id: iniphysiq.F 1403 2010-07-01 09:02:53Z fairhead $
 !
-c
-c
       SUBROUTINE iniphysiq(ngrid,nlayer,
      $           punjours,
      $           pdayref,ptimestep,
      $           plat,plon,parea,pcu,pcv,
-     $           prad,pg,pr,pcpp)
-      USE dimphy
-      USE mod_grid_phy_lmdz
-      USE mod_phys_lmdz_para
-      USE comgeomphy
+     $           prad,pg,pr,pcpp,iflag_phys)
+      USE dimphy, only : klev
+      USE mod_grid_phy_lmdz, only : klon_glo
+      USE mod_phys_lmdz_para, only : klon_omp,klon_omp_begin,
+     &                               klon_omp_end,klon_mpi_begin
+      USE comgeomphy, only : airephy,cuphy,cvphy,rlond,rlatd
+      USE comcstphy, only : rradius,rg,rr,rcpp
 
       IMPLICIT NONE
@@ -18,18 +18,7 @@
 c=======================================================================
 c
-c   subject:
-c   --------
+c   Initialisation of the physical constants and some positional and 
+c   geometrical arrays for the physics
 c
-c   Initialisation for the physical parametrisations of the LMD 
-c   martian atmospheric general circulation modele.
-c
-c   author: Frederic Hourdin 15 / 10 /93
-c   -------
-c
-c   arguments:
-c   ----------
-c
-c   input:
-c   ------
 c
 c    ngrid                 Size of the horizontal grid.
@@ -37,36 +26,38 @@
 c    nlayer                Number of vertical layers.
 c    pdayref               Day of reference for the simulation
-c    firstcall             True at the first call
-c    lastcall              True at the last call
-c    pday                  Number of days counted from the North. Spring
-c                          equinoxe.
 c
 c=======================================================================
-c
-c-----------------------------------------------------------------------
-c   declarations:
-c   -------------
+ 
  
 cym#include "dimensions.h"
 cym#include "dimphy.h"
 cym#include "comgeomphy.h"
-#include "comcstphy.h"
-      REAL prad,pg,pr,pcpp,punjours
- 
-      INTEGER ngrid,nlayer
-      REAL plat(ngrid),plon(ngrid),parea(klon_glo)
-      REAL pcu(klon_glo),pcv(klon_glo)
-      INTEGER pdayref
+#include "iniprint.h"
+
+      REAL,INTENT(IN) :: prad ! radius of the planet (m)
+      REAL,INTENT(IN) :: pg ! gravitational acceleration (m/s2)
+      REAL,INTENT(IN) :: pr ! ! reduced gas constant R/mu
+      REAL,INTENT(IN) :: pcpp ! specific heat Cp
+      REAL,INTENT(IN) :: punjours ! length (in s) of a standard day
+      INTEGER,INTENT(IN) :: ngrid ! number of horizontal grid points in the physics
+      INTEGER,INTENT(IN) :: nlayer ! number of atmospheric layers
+      REAL,INTENT(IN) :: plat(ngrid) ! latitudes of the physics grid
+      REAL,INTENT(IN) :: plon(ngrid) ! longitudes of the physics grid
+      REAL,INTENT(IN) :: parea(klon_glo) ! area (m2)
+      REAL,INTENT(IN) :: pcu(klon_glo) ! cu coeff. (u_covariant = cu * u)
+      REAL,INTENT(IN) :: pcv(klon_glo) ! cv coeff. (v_covariant = cv * v)
+      INTEGER,INTENT(IN) :: pdayref ! reference day of for the simulation
+      REAL,INTENT(IN) :: ptimestep !physics time step (s)
+      INTEGER,INTENT(IN) :: iflag_phys ! type of physics to be called
+
       INTEGER :: ibegin,iend,offset
- 
-      REAL ptimestep
       CHARACTER (LEN=20) :: modname='iniphysiq'
       CHARACTER (LEN=80) :: abort_message
  
       IF (nlayer.NE.klev) THEN
-         PRINT*,'STOP in inifis'
-         PRINT*,'Probleme de dimensions :'
-         PRINT*,'nlayer     = ',nlayer
-         PRINT*,'klev   = ',klev
+         write(lunout,*) 'STOP in ',trim(modname)
+         write(lunout,*) 'Problem with dimensions :'
+         write(lunout,*) 'nlayer     = ',nlayer
+         write(lunout,*) 'klev   = ',klev
          abort_message = ''
          CALL abort_gcm (modname,abort_message,1)
@@ -74,13 +65,14 @@
 
       IF (ngrid.NE.klon_glo) THEN
-         PRINT*,'STOP in inifis'
-         PRINT*,'Probleme de dimensions :'
-         PRINT*,'ngrid     = ',ngrid
-         PRINT*,'klon   = ',klon_glo
+         write(lunout,*) 'STOP in ',trim(modname)
+         write(lunout,*) 'Problem with dimensions :'
+         write(lunout,*) 'ngrid     = ',ngrid
+         write(lunout,*) 'klon   = ',klon_glo
          abort_message = ''
          CALL abort_gcm (modname,abort_message,1)
       ENDIF
-c$OMP PARALLEL PRIVATE(ibegin,iend) 
-c$OMP+         SHARED(parea,pcu,pcv,plon,plat)
+
+!$OMP PARALLEL PRIVATE(ibegin,iend) 
+!$OMP+         SHARED(parea,pcu,pcv,plon,plat)
       
       offset=klon_mpi_begin-1
@@ -92,6 +84,5 @@
       rlatd(1:klon_omp)=plat(offset+klon_omp_begin:offset+klon_omp_end)
 
-!     call suphel
-!     prad,pg,pr,pcpp
+! copy some fundamental parameters to physics
       rradius=prad
       rg=pg
@@ -99,16 +90,21 @@
       rcpp=pcpp
 
-      
+!$OMP END PARALLEL
 
-c$OMP END PARALLEL
+!      print*,'ATTENTION !!! TRAVAILLER SUR INIPHYSIQ'
+!      print*,'CONTROLE DES LATITUDES, LONGITUDES, PARAMETRES ...'
 
-      print*,'ATTENTION !!! TRAVAILLER SUR INIPHYSIQ'
-      print*,'CONTROLE DES LATITUDES, LONGITUDES, PARAMETRES ...'
+! Additional initializations for aquaplanets 
+!$OMP PARALLEL
+      if (iflag_phys>=100) then
+        call iniaqua(klon_omp,rlatd,rlond,iflag_phys)
+      endif
+!$OMP END PARALLEL
 
-      RETURN
-9999  CONTINUE
-      abort_message ='Cette version demande les fichier rnatur.dat
-     & et surf.def'
-      CALL abort_gcm (modname,abort_message,1)
+!      RETURN
+!9999  CONTINUE
+!      abort_message ='Cette version demande les fichier rnatur.dat
+!     & et surf.def'
+!      CALL abort_gcm (modname,abort_message,1)
 
       END
Index: LMDZ5/branches/testing/libf/phydev/iostart.F90
===================================================================
--- LMDZ5/branches/testing/libf/phydev/iostart.F90	(revision 1707)
+++ LMDZ5/branches/testing/libf/phydev/iostart.F90	(revision 1707)
@@ -0,0 +1,1 @@
+link ../phylmd/iostart.F90
Index: LMDZ5/branches/testing/libf/phydev/phyaqua.F
===================================================================
--- LMDZ5/branches/testing/libf/phydev/phyaqua.F	(revision 1669)
+++ LMDZ5/branches/testing/libf/phydev/phyaqua.F	(revision 1707)
@@ -1,26 +1,41 @@
-! Routines complementaires pour la physique planetaire.
-
+!
+! $Id: $
+!
 
       subroutine iniaqua(nlon,latfi,lonfi,iflag_phys)
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-!  Creation d'un etat initial et de conditions aux limites 
-!  (resp startphy.nc et limit.nc) pour des configurations idealisees 
-! du modele LMDZ dans sa version terrestre.
-!  iflag_phys est un parametre qui controle
-!  iflag_phys = N  
-!    de 100 a 199 : aqua planetes avec SST forcees
-!                 N-100 determine le type de SSTs
-!    de 200 a 299 : terra planetes avec Ts calcule
-!        
+!  Create an initial state (startphy.nc) for the physics
+!  Usefull for idealised cases (e.g. aquaplanets or testcases)
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
+      use phys_state_var_mod, only : rlat,rlon,
+     &                               phys_state_var_init
+      use mod_phys_lmdz_para, only : klon_omp
+      use comgeomphy, only : rlond,rlatd
+      implicit none
+      
+      integer,intent(in) :: nlon,iflag_phys
+      real,intent(in) :: lonfi(nlon),latfi(nlon)
 
-      integer nlon,iflag_phys
-cIM ajout latfi, lonfi
-      REAL, DIMENSION (nlon) :: lonfi, latfi
+! local variables
+      real :: pi
+
+! initializations:
+      pi=2.*asin(1.)
+
+      call phys_state_var_init()
+
+      rlat(1:klon_omp)=rlatd(1:klon_omp)*180./pi
+      rlon(1:klon_omp)=rlond(1:klon_omp)*180./pi
 
 
-      return
+! Here you could create an initial condition for the physics
+! ...
+! ... fill in the fields...
+! ...
+! ... and create a "startphy.nc" file
+      CALL phyredem ("startphy.nc")
+
       end
 
Index: LMDZ5/branches/testing/libf/phydev/phyetat0.F90
===================================================================
--- LMDZ5/branches/testing/libf/phydev/phyetat0.F90	(revision 1707)
+++ LMDZ5/branches/testing/libf/phydev/phyetat0.F90	(revision 1707)
@@ -0,0 +1,33 @@
+!
+! $Id $
+!
+subroutine phyetat0(fichnom)
+! Load initial state for the physics
+! and do some resulting initializations
+
+use iostart, only : open_startphy,get_field,close_startphy
+use iophy, only : init_iophy_new
+use phys_state_var_mod, only : rlat,rlon
+
+implicit none
+
+character(len=*),intent(in) :: fichnom ! input file name
+
+! open physics initial state file:
+call open_startphy(fichnom)
+
+! read latitudes
+call get_field("latitude",rlat)
+
+! read longitudes
+call get_field("longitude",rlon)
+
+! read in other variables here ...
+
+! close file
+call close_startphy
+
+! do some more initializations
+call init_iophy_new(rlat,rlon)
+
+end subroutine phyetat0
Index: LMDZ5/branches/testing/libf/phydev/phyredem.F
===================================================================
--- LMDZ5/branches/testing/libf/phydev/phyredem.F	(revision 1707)
+++ LMDZ5/branches/testing/libf/phydev/phyredem.F	(revision 1707)
@@ -0,0 +1,40 @@
+!
+! $Id: $
+!
+      SUBROUTINE phyredem (fichnom)
+
+      use iostart, only : open_restartphy,close_restartphy,
+     &                    put_var,put_field
+      use phys_state_var_mod, only : rlon,rlat
+
+      implicit none
+
+      character(len=*),intent(in) :: fichnom
+
+      integer,parameter :: tab_cntrl_len=100
+      real :: tab_cntrl(tab_cntrl_len)
+
+! open file
+
+      CALL open_restartphy(fichnom)
+
+! tab_cntrl() contains run parameters
+
+      tab_cntrl(:)=0.0
+ 
+
+      CALL put_var("controle","Parametres de controle",tab_cntrl)
+
+! coordinates
+
+      CALL put_field("longitude",
+     .               "Longitudes de la grille physique",rlon)
+     
+      CALL put_field("latitude","Latitudes de la grille physique",rlat)
+
+! close file
+
+      CALL close_restartphy
+!$OMP BARRIER
+
+      END
Index: LMDZ5/branches/testing/libf/phydev/phys_state_var_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phydev/phys_state_var_mod.F90	(revision 1707)
+++ LMDZ5/branches/testing/libf/phydev/phys_state_var_mod.F90	(revision 1707)
@@ -0,0 +1,37 @@
+!
+! $Id:  $
+!
+MODULE phys_state_var_mod
+!======================================================================
+! Variables saved in startphy.nc
+!======================================================================
+
+USE dimphy, only : klon
+ 
+
+REAL, ALLOCATABLE, SAVE :: rlat(:), rlon(:)
+!$OMP THREADPRIVATE(rlat,rlon)
+
+CONTAINS
+
+!======================================================================
+  SUBROUTINE phys_state_var_init()
+  use dimphy, only : klon
+
+  if (.not.allocated(rlat)) then
+    ALLOCATE(rlat(klon),rlon(klon))
+  else
+    write(*,*) "phys_state_var_init: warning, rlat already allocated"
+  endif
+  
+  END SUBROUTINE phys_state_var_init
+
+!======================================================================
+  SUBROUTINE phys_state_var_end
+  use dimphy, only : klon
+
+  deallocate(rlat,rlon)
+
+  END SUBROUTINE phys_state_var_end
+
+END MODULE phys_state_var_mod
